List export template attributes by filter
Retrieves a paginated list of export template attributes across export templates, filtered by export template IDs or attribute IDs.
Authorization
bearerAuth AuthorizationBearer <token>
ProductsUp Keycloak JWT bearer token.
In: header
Query Parameters
exportIds?array<>
Array of export template ids to filter for
exportFieldIds?array<>
Array of export template attribute ids to filter for
firstResult?integer
Zero-based index of the first item to return.
maxResults?integer
Maximum number of items to return per page.
Response Body
application/json
curl -X GET "https://export-template-api.productsup.com/V1/attributes"{
"data": [
{
"id": 995954,
"fieldName": "color",
"alias": "''",
"mandatory": false,
"type": "optional",
"conditions": [],
"flags": "not hidden",
"exportId": 58941
},
{
"id": 995953,
"fieldName": "sku",
"alias": "''",
"mandatory": false,
"type": "optional",
"conditions": [],
"flags": "not hidden",
"exportId": 58941
},
{
"id": 995952,
"fieldName": "name",
"alias": "title",
"mandatory": false,
"type": "optional",
"conditions": [],
"flags": "not hidden",
"exportId": 58941
}
],
"pagination": {
"firstResult": 0,
"maxResults": 50,
"count": 3,
"total": 3
}
}How is this guide?